#ifndef _BoyC_HPP_
#define _BoyC_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

class BoyC : public Base
{
	public:

		BoyC();
		~BoyC();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
		void renderScene(float pos, float alpha);
};

#endif
